Package net.shibboleth.shared.spring.servlet

# Class URLPrefix

java.lang.Object
net.shibboleth.shared.spring.servlet.URLPrefix

public class URLPrefix extends Object
Used to allow for auto-wiring of values into `RequestURLPrefixPredicate`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`wrappedString`
The wrapped string.

## Constructor Summary

Constructors
Constructor
Description
`URLPrefix(String s)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Get the wrapped value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wrappedString

@Nonnull @NotEmpty private final String wrappedString
The wrapped string.

## Constructor Details

### URLPrefix

public URLPrefix(@Nonnull @NotEmpty @ParameterName(name="s") String s)
Constructor.

Parameters:
  `s` - string to wrap

## Method Details

### getValue

@Nonnull @NotEmpty public String getValue()
Get the wrapped value.

Returns:
  wrapped value